interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 474810 characters]
        Y68S6V4sPLqkiJkWlPs/G1sfIMYXGAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['318425']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:04 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjcw1f.2.1505364004586.Z0FBQUFBQlp1Z2drTmE1NTNQOUM4WnVNSWZ5RlRuLW54blpqVEp0NGozMUNrZjVuTUhaSE9FbkxkSE0wSFE0VENGazBJRjVkXzlqeDN6eUs3dUNHRV9GakRPSkdwZzMwQkNzeF9uTnpKVDVPSTdpUGtwdjA3dW9Yandla2Z3TWJVWWNVY2pnSVZfa1Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:04
          GMT; secure', 'session_tracker=9Of2alEQGL94lgsckL.0.1505364004582.Z0FBQUFBQlp1Z2drcDBRR2dNUEM0ZU83Y3pmYkhodEFacThseGRlMXdQZTlwYkdhZXVZNTY0UDRnUzF6amxJZHptc1ZEQUpMU1ZrSDluWWRsWDZSRkxYT0VBcnZqS1ByTHhjeWdrWktHbHVnNlBxb2F1N0VoSnFCT1VQQ3lGVy1EeXlTMUNOSlp0aEM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:04
          GMT; secure', edgebucket=R36LlmjnU33Bik8ids; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1725-ORD]
      X-Timer: ['S1505364005.569202,VS0,VE364']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjcw1f.2.1505364004586.Z0FBQUFBQlp1Z2drTmE1NTNQOUM4WnVNSWZ5RlRuLW54blpqVEp0NGozMUNrZjVuTUhaSE9FbkxkSE0wSFE0VENGazBJRjVkXzlqeDN6eUs3dUNHRV9GakRPSkdwZzMwQkNzeF9uTnpKVDVPSTdpUGtwdjA3dW9Yandla2Z3TWJVWWNVY2pnSVZfa1Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:04
          GMT; secure', 'session_tracker=9Of2alEQGL94lgsckL.0.1505364004582.Z0FBQUFBQlp1Z2drcDBRR2dNUEM0ZU83Y3pmYkhodEFacThseGRlMXdQZTlwYkdhZXVZNTY0UDRnUzF6amxJZHptc1ZEQUpMU1ZrSDluWWRsWDZSRkxYT0VBcnZqS1ByTHhjeWdrWktHbHVnNlBxb2F1N0VoSnFCT1VQQ3lGVy1EeXlTMUNOSlp0aEM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:04
          GMT; secure', edgebucket=R36LlmjnU33Bik8ids; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=fWP0qv6UKLlMBJ0fG9wcUEzidjvPHbysiTl2O70HYGHgrwdupsdrB8HbAVaGmLwBIag0Lva8od0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
